# Mounting encrypted volumes helper

crypt-mounts' purpose is to reduce to one the commands needed to mount punctually encrypted volumes.

### Introduction
One defines their mounts in `mounts.conf`, giving for each:
* the mapper name (usually defined in `/etc/crypttab`);
* the mount target path;
* a friendly name for the mount (optional);
* a boolean for enabling auto-locking (i.e. closing encrypted volume when unmounted) or not.

The install script then generates a Systemd mount file for each mount, with the required bindings.

### Files
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for running the script unattended.
#### Installation
* `install.sh` script copies Systemd templates to their destination, and enables conf-sync timer.

### TODO
